#pragma once
#include "Mod.h"

class DeviceSpoofer : public Mod {
public:
	DeviceSpoofer() : Mod(_("Device Spoofer"), _("Spoof the device id"), Category::OTHER) {
		enabled = false;
		onlyenabled = false;
	}

private:
	bool spoofed = false;
	std::string generated = "";

	virtual auto onConnectionRequest(std::string* deviceId) -> void override;
	virtual auto onWorldTick(Player* _this) -> void override;
};
